Bug 1273147 - [GSS] (6.4.z) ISPN-5876 - Pre-commit cache invalidation creates stale cache vulnerability
[GSS] (6.4.z) ISPN-5876 - Pre-commit cache invalidation creates stale cache v...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.7
Assigned To: Enrique Gonzalez Martinez
Martin Simka
:
Depends On:
Blocks: eap647-payload 1279982 1290879
  Show dependency treegraph
 
Reported: 2015-10-19 14:32 EDT by Stephen Fikes
Modified: 2017-01-17 06:54 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1279982 (view as bug list)
Environment:
Last Closed: 2017-01-17 06:54:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-5876 Major Resolved Pre-commit cache invalidation creates stale cache vulnerability 2018-05-15 06:35 EDT
Red Hat Knowledge Base (Solution) 729253 None None None 2016-03-07 17:09 EST

  None (edit)
Description Stephen Fikes 2015-10-19 14:32:51 EDT
Description of problem:
https://issues.jboss.org/browse/ISPN-5876

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 JBoss JIRA Server 2015-10-23 07:24:11 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-5876 to Coding In Progress
Comment 2 Enrique Gonzalez Martinez 2015-10-26 06:06:31 EDT
upstream PR: 
    https://github.com/infinispan/infinispan/pull/3778

6.4.z -> 5.2.x branch backport: 
    https://github.com/infinispan/infinispan/pull/3777

This requires an infinispan upgrade.
Comment 7 Enrique Gonzalez Martinez 2016-02-03 03:53:22 EST

PR: https://github.com/infinispan/infinispan/pull/3980
no upstream required
Comment 8 Enrique Gonzalez Martinez 2016-02-08 04:29:53 EST
merged 5.2.x branch infinispan, 6,4,z stream

https://github.com/infinispan/infinispan/commit/ae675c8959356ef9e4dc50d4a64525b8b7159168
Comment 12 Martin Simka 2016-03-15 10:41:49 EDT
verified with EAP 6.4.7.CP.CR2

this fix is enabled by setting system property infinispan.invalidation.on_commit to true
Comment 13 Petr Penicka 2017-01-17 06:54:31 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.